/*!
* PT. IMAJIKU CIPTA MEDIA
* Copyright 2019-2024 IMAJIKU.
*/

/* = GENERAL
-------------------------------------------------------------*/
.bg-gray-cs {
    background-color: #F8F8F8;
}

.hc-featured-img {
    position: relative;
}

.hc-featured-img img {
    width: 100%;
    height: auto;
}

.frame-img.variant-2::before {
    width: calc(100% - 0px);
    height: calc(100% - 0px);
    background-color: transparent;
}

.frame-img.variant-2 img {
    padding: 12px;
    background-color: var(--hc-color-white);
    border-radius: 15px;
    box-shadow: rgb(0 0 0 / 9%) -1.04px 30.57px 47.99px 0px;
}

/* = HEADING
-------------------------------------------------------------*/
/* heading */
.hc-heading-section.variant-2 {
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
}

.hc-select-languange .ts-control {
    padding: 7px;
    border-color: var(--hc-color-brand-1) !important;
    background-color: var(--hc-color-brand-1) !important;
}

.hc-heading-section.variant-3 {
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-areas:
        "subtitle action"
        "title action"
        "desc action";
    gap: 0rem 2rem;
    align-items: center;
}

/* Penempatan elemen berdasarkan area grid */
.hc-heading-section.variant-3 .hc-heading-subtitle {
    grid-area: subtitle;
}

.hc-heading-section.variant-3 .hc-heading-title {
    grid-area: title;
}

.hc-heading-section.variant-3 .hc-heading-desc {
    grid-area: desc;
}

.hc-heading-section.variant-3 .hc-heading-action {
    grid-area: action;
    justify-content: flex-end;
}

.hc-heading-section.variant-4 {
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    display: grid;
    grid-template-columns: 1.3fr 1fr;
    grid-template-areas:
        "subtitle desc"
        "title desc";
    gap: 0rem 4rem;
    align-items: center;
}

/* Penempatan elemen berdasarkan area grid */
.hc-heading-section.variant-4 .hc-heading-subtitle {
    grid-area: subtitle;
}

.hc-heading-section.variant-4 .hc-heading-title {
    grid-area: title;
}

.hc-heading-section.variant-4 .hc-heading-desc {
    grid-area: desc;
}

/* = BANNER BOTTOM
-------------------------------------------------------------*/
.hc-banner-bottom-box {
    display: block;
    position: relative;
    width: 100%;
    height: auto;
    min-height: 400px;
}

.hc-banner-bottom-caption-box {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 5;
    overflow: hidden;
    min-height: 400px;
}

.hc-banner-bottom-box:after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    background: linear-gradient(180deg, rgba(21, 116, 40, 0) 0%, rgb(0 0 0 / 40%) 30%, rgb(0 0 0 / 30%) 100%);
}

.hc-img-banner-bottom {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 0;
    top: 0;
    left: 0;
    object-fit: cover;
    object-position: center;
}

.hc-img-banner-bottom {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    z-index: 1;
}

.hc-banner-bottom-caption {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 30px 20px;
    margin: 0 auto;
    text-align: center;
    max-width: 80%;
}

.hc-banner-bottom-caption h1,
.hc-banner-bottom-caption h2,
.hc-banner-bottom-caption h3 {
    font-size: 38px;
    font-weight: bold;
    color: var(--hc-color-white);
    line-height: 1.2;
    margin-bottom: 10px;
    font-family: var(--hc-font-family-1);
}

.hc-banner-bottom-caption p {
    font-size: 16px;
    font-weight: 400;
    color: var(--hc-color-white);
    line-height: 1.5;
    margin-bottom: 0;
    font-family: var(--hc-font-family-2);
}

.hc-banner-bottom-action {
    margin-top: 20px;
    display: flex;
    flex-direction: row;
    gap: 15px;
    justify-content: center;
}

/*condition photo slider for desktop*/
.banner-img-desktop {
    display: block !important;
}

/*condition photo slider for mobile*/
.banner-img-mobile {
    display: none !important;
}


/* = FORM SELECT
------------------------------------------------------------ */
.filter-horizontal-sort-box {
    position: relative;
    margin-bottom: 20px;
}

.filter-horizontal-sort-box .filter-mjk-group {
    justify-content: space-between;
}

.filter-horizontal-sort-box .form-group,
.filter-horizontal-sort-box .hc-form-select {
    min-width: 140px;
    margin: 0;
}

.filter-horizontal-sort-box .hc-form-select-control .ts-control {
    border: 1px solid var(--hc-color-gray-300);
    padding: 10px 15px;
    font-size: 14px;
    border-radius: 0;
}

.filter-horizontal-sort-box .has-items .ts-control>input {
    min-width: 0 !important;
}

.filter-horizontal-sort-box .ts-wrapper:not(.form-control):not(.form-select) {
    border: none;
}

.ts-control .item,
.ts-dropdown [data-selectable].option {
    font-size: 14px;
    font-weight: 500;
}

.hc-input-group>.hc-form-control {
    margin-left: 5px !important;
}

.hc-form-input,
.hc-form-select {
    margin-bottom: 15px;
}

.hc-select-sortby .ts-wrapper:not(.form-control):not(.form-select).single .ts-control {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath fill='none' stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='M16 18V6m0 0l4 4.125M16 6l-4 4.125M8 6v12m0 0l4-4.125M8 18l-4-4.125'/%3E%3C/svg%3E");
    background-size: 16px 20px;
}

.ts-dropdown,
.ts-dropdown.form-control,
.ts-dropdown.form-select {
    border: 1px solid var(--hc-color-gray-300);
    border-radius: 0;
}

.focus .ts-control {
    box-shadow: unset;
}

/* = NEWS
------------------------------------------------------------ */
.article-img {
    margin-bottom: 15px;
}

.article-img img {
    margin: 0 auto;
    display: block;
}

.share-network .share-network-icon-box {
    background-color: #3F3F47;
}

.share-network .share-network-icon-box span {
    background-color: var(--hc-color-white);
    width: 16px;
    height: 16px;
}

.article-meta ul {
    gap: 10px;
}

.article-meta ul li {
    font-size: 14px;
    margin-right: 15px;
    color: var(--hc-color-text-title);
    font-weight: 500;
    display: flex;
    flex-direction: row;
    align-items: center;
    position: relative;
}

.article-meta ul li:last-child {
    color: var(--hc-color-brand-2);
    font-weight: 600;
}

.article-meta li:after {
    display: block;
    content: "•";
    font-size: 16px;
    color: var(--hc-color-gray-400);
    position: absolute;
    top: 0px;
    right: -15px;
}

.article-meta ul li:last-child:after {
    display: none
}

.article-post img {
    display: block;
    margin: 20px auto;
    width: 100% !important;
}

/* = ABOUT
------------------------------------------------------------ */
/* Struktur Baris Timeline */
.hc-timeline-box {
    position: relative;
}

.hc-timeline-column {
    position: relative;
    padding: 20px 20px;
    transition: all 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
    overflow: visible;
    margin-bottom: 15px;
    display: flex;
    flex-direction: row;
    gap: 40px;
    align-items: center;
}

/* Konten Teks */
.hc-timeline-title {
    width: 400px;
}

.hc-timeline-desc {
    max-width: 530px;
}

.hc-timeline-title h4 {
    font-size: 24px;
    font-weight: 500;
    line-height: 1.4;
    font-family: var(--hc-font-family-1);
    color: var(--hc-color-text-title);
    margin-bottom: 10px;
    transition: color 0.3s;
}

.hc-timeline-title h3 {
    font-size: 24px;
    font-weight: bold;
    line-height: 1.4;
    font-family: var(--hc-font-family-1);
    color: var(--hc-color-text-title);
    margin-bottom: 0;
    transition: color 0.3s;
}

.hc-timeline-desc p {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.4;
    font-family: var(--hc-font-family-2);
    color: var(--hc-color-text-desc);
    transition: color 0.3s;
    margin: 0;
}

/* Container Gambar */
.hc-timeline-img {
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%) rotate(5deg) scale(0.8);
    width: 200px;
    height: 150px;
    opacity: 0;
    visibility: hidden;
    transition: all 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    z-index: 10;
}

.hc-timeline-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border: 5px solid var(--hc-color-white);
    border-radius: 12px;
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
}

.hc-timeline-column:hover {
    background-color: var(--hc-color-brand-2);
}

.hc-timeline-column:hover .hc-timeline-title h4,
.hc-timeline-column:hover .hc-timeline-title h3,
.hc-timeline-column:hover .hc-timeline-desc p {
    color: var(--hc-color-white);
}

.hc-timeline-column:hover .hc-timeline-img {
    opacity: 1;
    visibility: visible;
    transform: translateY(-50%) rotate(-3deg) scale(1.1);
    right: 40px;
}

/* = TABLE
------------------------------------------------------------ */
.hc-table-box.variant-2 .hc-table {
    margin-bottom: 5px;
}

/* = TIMELINE VERTICAL
------------------------------------------------------------ */
/* Inisialisasi Counter CSS */
.hc-timeline-vertical-container {
    position: relative;
    counter-reset: timeline-counter;
}

/* Garis Tengah Putus-putus */
.hc-timeline-vertical-container::before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 2px;
    border-left: 2px dashed var(--hc-color-gray-300);
    transform: translateX(-50%);
    z-index: 1;
}

.hc-timeline-vertical-item {
    position: relative;
    margin-bottom: 60px;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    /* Default untuk item ganjil (kanan) */
}

/* Item genap diletakkan di kiri */
.hc-timeline-vertical-item:nth-child(even) {
    justify-content: flex-start;
}

/* Lingkaran Nomor Otomatis */
.hc-timeline-vertical-item::after {
    counter-increment: timeline-counter;
    content: counter(timeline-counter);
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 48px;
    height: 48px;
    background-color: var(--hc-color-brand-1);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    z-index: 2;
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.1);
    border: 4px solid var(--hc-color-white);
}

/* Kotak Konten */
.hc-timeline-vertical-content {
    width: 40%;
    background: white;
    padding: 25px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
    position: relative;
    border-top: 3px solid var(--hc-color-brand-2);
}

.hc-timeline-vertical-img-wrapper {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 20px;
}

.hc-timeline-vertical-img-wrapper .hc-galightbox-gallery {
    width: 48%;
}

.hc-timeline-vertical-img-wrapper img {
    width: 100%;
    height: 150px;
    object-fit: cover;
    border-radius: 2px;
    background-color: #eee;
}

.hc-timeline-vertical-title {
    font-size: 24px;
    font-weight: bold;
    line-height: 1.4;
    font-family: var(--hc-font-family-1);
    color: var(--hc-color-text-title);
    margin-bottom: 15px;
}

.hc-timeline-vertical-text {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.6;
    font-family: var(--hc-font-family-2);
    color: #525252;
    margin-bottom: 10px;
}


/* = LIST ICON
------------------------------------------------------------ */

.hc-listing-icon {
    position: relative;
}

.hc-listing-icon h5 {
    font-family: var(--hc-font-family-1);
    font-size: 24px;
    font-weight: 700;
    color: var(--hc-color-neutral-800);
    margin-bottom: 24px;
}

.hc-listing-icon ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.hc-listing-icon ul li {
    position: relative;
    padding-left: 40px;
    margin-bottom: 16px;
}

.hc-listing-icon ul li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 4px;
    width: 24px;
    height: 24px;
    background: url(../images/content/checklist.svg) no-repeat center / contain;
}

.hc-listing-icon ul li h4 {
    font-family: var(--hc-font-family-1);
    font-size: 20px;
    font-weight: bold;
    color: var(--hc-color-neutral-800);
}

.hc-listing-icon ul li p {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.6;
    font-family: var(--hc-font-family-2);
    color: var(--hc-color-neutral-600);
    margin-bottom: 10px;
}

/* = SITEMAP
------------------------------------------------------------ */